%define  patch_name kernel-feat-core-badmem

Name: %{patch_name}
Version: 2006.04.02
Release: alt2
Summary: %patch_name kernel patch - bad memory patch
License: GPL
Group: Development/Other
BuildArch: noarch
Url: http://rick.vanrein.org/linux/badram/

%source 1 BadRAM-2.4.29.patch	2.4
%source 2 BadRAM-2.6.16.1.patch   2.6

# fixes
# 2.4
%source 101 BadRAM-2.4.29-swsusp.patch   2.4/kernel-feat-swsusp
%source 100 BadRAM-2.4.29-noswsusp.patch 2.4/not_kernel-feat-swsusp

# 2.6
%source 50  BadRAM-2.6.16.1-swsusp.patch	 2.6/kernel-feat-swsusp
%source 49  BadRAM-2.6.16.1-noswsusp.patch 2.6/not_kernel-feat-swsusp
%source 48  BadRAM-2.6.16.1-ll.patch	2.6/kernel-feat-core-lowlatency
%source 47  BadRAM-2.6.16.1-noll.patch	2.6/not_kernel-feat-core-lowlatency

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.6-alt1

%description
This small kernel extension makes it possible to use memory chips
which are not entirely correct. It works by never allocating the
places that are wrong. Those places are specified with the badram
boot option to LILO. 

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Apr 26 2006 LAKostis <lakostis at altlinux.ru> 2006.04.02-alt2
- update patch for new -fix-core patch.

* Sun Apr 02 2006 LAKostis <lakostis at altlinux.ru> 2006.04.02-alt1
- switch back to Rick Van Rein version.
- update patches for 2.6.16 kernel.
- add url.

* Sun Dec 11 2005 LAKostis <lakostis at altlinux.ru> 2005.12.10-alt1
- Updated 2.6 for 2.6.14 kernel.

* Sat Jul 16 2005 LAKostis <lakostis at altlinux.ru> 2005.07.01-alt1
- Updated 2.6 for 2.6.12 kernel.

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1
- Updated 2.6 for 2.6.11 kernel.

* Wed Feb 23 2005 LAKostis <lakostis at altlinux.ru> 2005.02.19-alt1.1
- cleanup conflicting patches.

* Sat Feb 19 2005 LAKostis <lakostis at altlinux.ru> 2005.02.19-alt1
- Updated 2.6 for 2.6.10 kernel.
- Updated patch not to conflict with kernel-feat-swsusp.

* Sun Feb 13 2005 LAKostis <lakostis at altlinux.ru> 2005.02.13-alt1
- Updated 2.4 for 2.4.29 kernel.
- Updated patch not to conflict with kernel-feat-swsusp.
- Updated patch not to conflict with kernel-feat-core-lowlatency in case of Win4Lin patch.

* Mon Dec 20 2004 LAKostis <lakostis at altlinux.ru> 2004.06.07-alt1
- Updated 2.4 patch & add 2.6 patch.
- Spec cleanup.

* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt1
- Initial build

